<?php
/**
 * Plugin Name: Payment Gateway for PayUmoney Latam on Easy Digital Downloads
 * Plugin URI: https://wpallsupport.com
 * Description: A PayUmoney latam payment gateway addon for Easy Digital Downloads WordPress plugin
 * Version: 1.0.3
 * Author: WP ALL SUPPORT
 * Author URI: http://www.wpallsupport.com
 * Text Domain: wpas-edd-payu-latam
 */

/**
 * If this file is called directly, abort.
 */
if ( ! defined( 'WPINC' ) ) {
    die;
}

if ( is_admin() ) {

    if ( !function_exists( 'is_plugin_active' ) ) {
        include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    }

    if ( !is_plugin_active( 'easy-digital-downloads/easy-digital-downloads.php' ) ) {

        deactivate_plugins( plugin_basename( __FILE__ ) );

        function wpas_payu_latam_requires_edd_plugin() {
            echo '<div class="notice notice-warning is-dismissible"><p><strong>' . sprintf( __( '%s requires to install the %sEasy Digital Downloads%s plugin.', 'wpas-edd-payu-latam' ), 'Easy Digital Downloads - PayUmoney Latam Payment Gateway', '<a href="https://wordpress.org/plugins/easy-digital-downloads/" target="_blank">', '</a>' ) . '</strong></p></div>';
        }

        add_action( 'admin_notices', 'wpas_payu_latam_requires_edd_plugin' );
        return;
    }
}

if ( !defined( 'WPAS_EDD_PAYU_LATAM_VERSION' ) ) {
    define( 'WPAS_EDD_PAYU_LATAM_VERSION', '1.0.3' );
}

if ( !defined( 'WPAS_EDD_PAYU_LATAM_PATH' ) ) {
    define( 'WPAS_EDD_PAYU_LATAM_PATH', plugin_dir_path( __FILE__ ) );
}

if ( !defined( 'WPAS_EDD_PAYU_LATAM_FILE' ) ) {
    define( 'WPAS_EDD_PAYU_LATAM_FILE', __FILE__ );
}

if ( !defined( 'WPAS_EDD_PAYU_LATAM_PLUGIN_URL' ) ) {
    define( 'WPAS_EDD_PAYU_LATAM_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

require_once WPAS_EDD_PAYU_LATAM_PATH . '/includes/class-edd-payu-latam.php';

function init_wpas_payu_latam() {

    global $wpas_payu_latam;
    $wpas_payu_latam = WPAS_EDD_PayU_Latam::instance();

}
add_action( 'plugins_loaded', 'init_wpas_payu_latam' );
